'use strict';

import React, { Component } from 'react';
import resList from '../../resconfig/resList';

import './comexp.less';

class Comexp extends Component {
  constructor(props) {
    super(props);
    this.state = this.state || { resList: resList };
  }
  render() {
    let { goodsInfo, onClose } = this.props;
    console.log('goodsInfo===', goodsInfo);

    return (
      <div className="exp">
        <img className="exchangeBg" />
        <img className="exbg" src={this.state.resList['19a2b473-acbc-4659-b47f-c7ba0d3fc5b3'].url} />
        <label className="energyn">{goodsInfo.needCount}能量</label>
        <label className="goodsna">{goodsInfo.prizeName}</label>
        <img className="rewardi" src={goodsInfo.prizePic} />
        <img className="exclose" onClick={onClose} src={this.state.resList['665b8867-e35c-485e-a01c-6a2d94023436'].url} />
        <img className="exbtn" src={this.state.resList['a2fa486a-50ab-444d-9acd-3e15dbbe9d7c'].url} />
      </div>
    );
  }
}
export default Comexp;
